> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Niobi STK Deposit

> Niobi STK Deposit



## OpenAPI

````yaml post /api/stk-deposit
openapi: 3.0.0
info:
  title: Niobi API
  description: >-
    REST API for collecting payments, sending payouts, and managing
    multi-currency wallets across Africa and global corridors. All requests
    require IP whitelisting and a unique per-request HMAC SHA-256 signature.
  version: 4.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Sandbox, Development and Testing
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/stk-deposit:
    post:
      tags:
        - payment
      summary: Niobi STK Deposit
      description: Niobi STK Deposit
      operationId: niobiSTKDeposit
      requestBody:
        description: Deposit STK Payment.
        required: true
        content:
          application/json:
            schema:
              required:
                - amount
                - mobile
                - country_id
                - currency
                - correspondent
              properties:
                amount:
                  type: integer
                  format: amount
                  example: integer
                country_id:
                  type: integer
                  format: country_id
                  example: integer
                correspondent:
                  type: string
                  format: correspondent
                  example: MTN_MOMO_NGA
                currency:
                  type: string
                  format: currency
                  example: string
                callback_url:
                  type: string
                  format: callback_url
                  example: string
                mobile:
                  description: >-
                    This is the mobile number of the Payee who is being paid
                    out. Use the correct formatting as described in the example
                  type: string
                  format: mobile
                  example: '254647647649'
              type: object
      responses:
        '201':
          description: Ok.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'true'
                  message:
                    type: string
                    example: >-
                      Verification token was sent to your mobile number. Kindly
                      verify to proceed with payment
                  data:
                    properties:
                      MerchantRequestID:
                        type: string
                        example: 1234-123456789-1
                      CheckoutRequestID:
                        type: string
                        example: ab_XY_*******************
                      ResponseCode:
                        type: string
                        example: '0'
                      ResponseDescription:
                        type: string
                        example: Success. Request accepted for processing
                      CustomerMessage:
                        type: string
                        example: Success. Request accepted for processing
                    type: object
                type: object
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Resource Not Found
        '500':
          description: Internal Server Error
        '501':
          description: Not Implemented
        '503':
          description: Service Unavailable
      security:
        - apiAuth: []
components:
  securitySchemes:
    apiAuth:
      type: apiKey
      description: Enter token in format (Bearer <token>)
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.